Skip to main content
POST
/
video-generation
MiniMax-Hailuo-02
curl --request POST \
  --url https://api.linkai.one/api/v1/video-generation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "MiniMax-Hailuo-02",
  "prompt": "<string>",
  "duration": 6,
  "first_frame_image": "<string>",
  "last_frame_image": "<string>",
  "resolution": "768P"
}
'
{
  "code": 0,
  "data": {
    "task_id": "cb6111cf-e89f-4978-b8e3-aa59c21cceff",
    "order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
    "status": "processing",
    "price": 0.074
  },
  "msg": "success",
  "request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

model is required

Available options:
MiniMax-Hailuo-02
prompt
string
required

prompt must be between 1 and 2000 characters

Required string length: 1 - 2000
duration
enum<integer>

duration must be 6 or 10 seconds

Available options:
6,
10
first_frame_image
string
last_frame_image
string
resolution
enum<string>

resolution must be 768P or 1080P

Available options:
768P,
1080P

Response

Task accepted and queued for generation.

code
integer
Example:

0

data
object
msg
string
Example:

"success"

request_id
string<uuid>
Example:

"250b66dd-e1fb-4bb6-b5f6-c668efadc35d"